function setup()
	room.stackable = 0
	room.visible = 1
	
	room.addActor()
	actor.setpiece = 1
	actor.setEffectIcon("ringnebula.png")
	actor.randomizePlacement = 0
	actor.x = 0
	actor.y = 25
	actor.dist = 3
	actor.scale = 1
	actor.alpha = .6
	
	for i = 1, 20 do
		room.addActor()
		actor.setpiece = 1
		actor.setEffectIcon("nebulae1.png")
		actor.setRGB(255,150,150)
		actor.scale = .8 + math.random(1, 10) / 20
		actor.rot = math.random(0,359)
		actor.alpha = .05 + math.random() * .05
		actor.randomizePlacement = 0
		actor.x = 10
		actor.y = 26
		actor.jitterPlacement = 13
		actor.dist = 2 + math.random(1, 10) / 5
		actor.behavior = "slowspin"
	end
	
	
	room.setWave(1)
	
	for i = 1, 5 do
		room.addActor()
		actor.displayName = "Anemones"
		--actor.setIcon("iconalienanemone.png")
		actor.setIcon("iconalienegg4.png")
		for j = 1, 4 do
			actor.addTerrain("terrain_anemones")
		end
		actor.scale = 1 + math.random()
		actor.rot = math.random(0,359)
		actor.jitterPlacement = 2
		actor.solid = 1
		actor.offsetx = math.random(-8,8)
		actor.offsety = math.random(-8,8)
	end
	
	for i = 1, 3 do
		room.addActor()
		actor.displayName = "Biscuitfish"
		--actor.setIcon("iconalienanemone.png")
		actor.setIcon("iconaliencuttlefish.png")
		actor.addTerrain("terrain_cuttlefish")
		actor.jitterPlacement = 2
		actor.solid = 1
	end
	
	--needs to happen before adding mobs apparently?
	actor.addEvent("battlescript_bossbattlereef", 0)
	
	room.addActor()
	actor.nodeName = "WARNING : GREAT BARRIER REEF"
	actor.displayName = "REEF"
	actor.setIcon("iconmobboss3.png")
	actor.addEvent("music_bosstheme.ogg", 0)
	
	--needs to happen before adding mobs apparently?
	--actor.addEvent("battlescript_bossbattlereef", 0)
	
	actor.addWave("reef", 1, room.wave)
	wave.spawnmode = 2--don't warp in, just appear
	--wave.faction = 7--aliens!
	wave.tilex = 7
	wave.tiley = 10
	
	--set the boss HP bar reactive things
	actor.addEvent("boss_reef_oyster", 0)
	for i = 1, 3 do
		life = ""
		if i == 1 then
			life = "urchin"
		elseif i == 2 then
			life = "puker"
		elseif i == 3 then
			life = "urchin2"
		end
	
		actor.addWave("Reefoyster", 4, room.wave, life)
		wave.spawnmode = 2--don't warp in, just appear
		--wave.faction = 7--aliens!
	end

	--full heal at conclusion of fight
	--room.addActor("fullheal.lua")
	if generator.hardcore == 1 then room.addActor("extralife.lua") end
	--if game.hardcore == 0 then room.addActor("extralife.lua") end
end